Subject: Re: bug#10174: find-named-dired followed by Query and Replace leaves emacs in a bad state

From: Stefan Monnier <[email-masked]>
Date: Wed, 30 Nov 2011 16:42:03 -0500

> It is doing the search and replace in exactly the way I'd expect, but she
> I try to save the 27 buffers it leaves open (using save-some-buffers) it
> says there are no changes to be saved.  Trying to save a single buffer does

I can't reproduce this problem here.
I tried:

   [ starting from some elisp package directory (tuareg in this case) ]
   % emacs23 -Q
   M-x find-name-dired RET
   RET
   *.el RET
   t
   Q
   with RET when RET
   !!!!!!.... ad nauseam
   M-x save-some-buffers RET
   yyyyyy.....

The last line is because it asked me whether to save each buffer.

        Stefan